DPGEN_AND3(3)

NAME
DPGEN_AND3 - AND3 Macro-Generator

SYNOPSIS

#include <genlib.h>

void GENLIB_MACRO (DPGEN_AND3, char *modelname, long flags, long N, long drive);

DESCRIPTION

Generate a N bits three inputs AND with an output power of drive named modelname.

Valid drive are : 2 or 4.

  TERMINAL NAMES

1.  i2 : input.

2.  i1 : input.

3.  i0 : input.

4.  q : output.

5.  vdd : power.

6.  vss : ground.

  BEHAVIOR
q <= not(i0 and i1 and i2)

EXAMPLE

GENLIB_MACRO(DPGEN_AND3, "model_and3_32"
                       , F_BEHAV|F_PLACE
                       , 32
                       , 2
                       );
GENLIB_LOINS( "model_and3_32"
            , "instance1_and3_32"
            , "i2[31:0]"
            , "i1[31:0]"
            , "i0[31:0]"
            ,  "q[31:0]"
            , "vdd", "vss", NULL
            );

SEE ALSO

GENLIB_MACRO(3), genlib(1)